Bug 444347 - various totem plugins, LoadPlugin: failed, undefined symbol: js_CallClass
various totem plugins, LoadPlugin: failed, undefined symbol: js_CallClass
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 11:13 EDT by Kai Engert (:kaie)
Modified: 2009-06-18 03:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 03:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) 2008-04-27 11:13:32 EDT
Description of problem:
I'm using SeaMonkey, and I repeatedly get the following messages on the console:

LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/libtotem-basic-plugin.so
[/usr/lib/xulrunner-1.9pre/libxul.so: undefined symbol: js_CallClass]
LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/libtotem-complex-plugin.so
[/usr/lib/xulrunner-1.9pre/libxul.so: undefinedsymbol: js_CallClass]
LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/libtotem-cone-plugin.so
[/usr/lib/xulrunner-1.9pre/libxul.so: undefined symbol: js_CallClass]
LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/libtotem-gmp-plugin.so
[/usr/lib/xulrunner-1.9pre/libxul.so: undefined symbol: js_CallClass]
LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/libtotem-mully-plugin.so
[/usr/lib/xulrunner-1.9pre/libxul.so: undefined symbol: js_CallClass]
LoadPlugin: failed to initialize shared library
/usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so
[/usr/lib/xulrunner-1.9pre/libxul.so: undefined symbol: js_CallClass]


Version-Release number of selected component (if applicable):
totem-mozplugin-2.23.2-2.fc9.i386


How reproducible:
use seamonkey, surf the web
Comment 1 Stewart Adam 2008-04-27 12:55:12 EDT
What versions of xulrunner and seamonkey are you using? Do you see this problem
with other gecko-based browsers like Firefox?
Comment 2 Kai Engert (:kaie) 2008-04-27 14:29:28 EDT
(In reply to comment #1)
> What versions of xulrunner and seamonkey are you using? 

seamonkey-1.1.9-2.fc9.i386
xulrunner-1.9-0.57.beta5.fc9.i386

Note that seamonkey in f9 does not use xulrunner.


> Do you see this problem
> with other gecko-based browsers like Firefox?

No.
In Firefox, about:plugins lists totem

In SeaMonkey, about:plugins does not list totem


Comment 3 Bastien Nocera 2008-04-27 17:32:12 EDT
Totem is built against xulrunner (and uses some pretty advanced features of it),
which is why it doesn't run nicely against SeaMonkey.

Passing onto seamonkey, in case they ever choose to use xulrunner.
Comment 4 Kai Engert (:kaie) 2008-04-27 18:13:24 EDT
(In reply to comment #3)
> Passing onto seamonkey, in case they ever choose to use xulrunner.

The bug reporter happens to be the seamonkey package maintainer ;-)

> Totem is built against xulrunner (and uses some pretty advanced features of it),
> which is why it doesn't run nicely against SeaMonkey.

Firefox and Xulrunner shipped in Fedora 9 are based on Gecko 1.9

There is not yet a stable release of SeaMonkey based on Gecko 1.9.
(SeaMonkey 2 will be based on Gecko 1.9, but it's not yet in sight)

So, the SeaMonkey 1.1.x we ship in Fedora 9 is still based on Gecko 1.8.

I guess this bug is not critical, but it would be great if we could make things
cooperate and work.


I must confess, I'm not update to date on the latest browser plugin interfaces.
My understanding might be outdated, but I thought the plugin interface is a C API.

Obviously the Totem plugin has additional dependencies on the Gecko runtime.


Shouldn't the plugins in directory /usr/lib/mozilla/plugins/ restrict themselves
to the real plugin API?

If we have plugins that are strictly dependent on the xulrunner version, should
those plugins live in a directory like /usr/lib/xulrunner/plugins? I can see
that directory already exists.


Maybe it's sufficient to move the totem plugin over to the xulrunner/plugins
directory?
Comment 5 Kai Engert (:kaie) 2008-04-27 19:37:05 EDT
$ grep -ri js_CallClass totem-2.23.2
=> nothing


I compared the output of 
  ldd /usr/lib/mozilla/plugins/libtotem-basic-plugin.so

from a F-8 system and from a F-9 system.

The F-8 plugin.so did not have any direct dependencies on files from firefox

The F-9 plugin.so has many additional dependences, to NSPR, to NSS, and to three
files from xulrunner: libxul, libxpcom, libmozjs

I suspect this is wrong, at least unnecessary.
We should investigate what introduces those dependencies.

(I think it's not totem specific, because I can see one more plugin available
for Fedora 9, where the same new dependency was introduced with F-9.)
Comment 6 Martin Stransky 2008-04-28 03:48:44 EDT
Totem plugin is broken by design. Don't use it with seamonkey ;-) It shares
memory with browser, imports XPCOM components and so on. It's not a clear NPAPI
plugin and is highly browser dependent (but why???). 
Comment 7 Bastien Nocera 2008-04-28 07:14:05 EDT
(In reply to comment #5)
<snip>
> The F-9 plugin.so has many additional dependences, to NSPR, to NSS, and to three
> files from xulrunner: libxul, libxpcom, libmozjs
> 
> I suspect this is wrong, at least unnecessary.
> We should investigate what introduces those dependencies.

They're not wrong, they were added because the xulrunner based browsers don't
link to the necessary libraries at run-time.

(In reply to comment #6)
> Totem plugin is broken by design. Don't use it with seamonkey ;-) It shares
> memory with browser, imports XPCOM components and so on. It's not a clear NPAPI
> plugin and is highly browser dependent (but why???). 

Because NPAPI is not enough to support what Totem needs. No way to check for
supported schemes, no way to check for other plugin instances in the same
document, no way to resolve relative URLs against the current document URI.
Comment 8 Kai Engert (:kaie) 2008-04-28 22:53:22 EDT
Ok, thanks for the explanation.

So, how should we ensure that plugins that depend on xulrunner only get opened
by compatible browser software?
Comment 9 Bug Zapper 2008-05-14 06:15:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 20:28:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.